#!/bin/sh

RADIUS_TARGET="/var/packages/RadiusServer/target"
RADIUS_SC="$RADIUS_TARGET/etc/RadiusServer.sc"

CONF_PATH="/usr/local/synoradius"
CONF_AUTH_PORT="$CONF_PATH/rad_port_auth"

BIN_SYNOPKGHELPER="/usr/syno/sbin/synopkghelper"
BIN_GET_KEY_VALUE="/usr/syno/bin/synogetkeyvalue"

AUTH_PORT=`$BIN_GET_KEY_VALUE $CONF_AUTH_PORT port`

echo -en \
"[RADIUS_AUTH]
title=\"RADIUS\"
desc=\"RADIUS Server\"
port_forward=\"yes\"
dst.ports=\"$AUTH_PORT/tcp,udp\"

[RADIUS_INNER]
title=\"RADIUS\"
desc=\"RADIUS Server\"
port_forward=\"no\"
dst.ports=\"18120/tcp,udp\"
" > $RADIUS_SC

cp $RADIUS_SC /usr/local/etc/services.d/RadiusServer.sc
$BIN_SYNOPKGHELPER update RadiusServer port-config
