#!/bin/sh

if [ $# != 3 ]; then
    exit 1
fi

DOMAIN=`echo $1 | sed s/\\\\\\\\//g`
USERNAME=$2
PASSWD=$3

if [ "$1" = "" ]; then
    /usr/bin/ntlm_auth --offline-logon --request-nt-key --username="$USERNAME" --password="$PASSWD"
else
    /usr/bin/ntlm_auth --offline-logon --request-nt-key --domain="$DOMAIN" --username="$USERNAME" --password="$PASSWD"
fi

exit $?
