#!/bin/sh

DEFAULT_CIPHER_LIST="ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA:ECDHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-RSA-AES256-SHA256:DHE-RSA-AES256-SHA:ECDHE-ECDSA-DES-CBC3-SHA:ECDHE-RSA-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:DES-CBC3-SHA:!DSS"
PATH_CIPHER_LIST="/var/packages/RadiusServer/target/etc/cipher_list"

cipher_list=`/bin/cat /usr/syno/etc/security-profile/tls-profile/config/radiusserver.conf`
if [ "$cipher_list" = "" ]; then
	echo $DEFAULT_CIPHER_LIST > $PATH_CIPHER_LIST
else
	echo $cipher_list > $PATH_CIPHER_LIST
fi

/usr/syno/bin/synopkg status RadiusServer
if [ $? eq 0 ]; then
	/usr/syno/bin/synopkg restart RadiusServer
fi
